/*
 * MyEP_STM32F103_GPIO.c
 *
 *  Created on: 19 nov. 2018
 *      Author: MyEP
 */
/*
Funciones de inicializacin, escritura y lectura de pines
*/
#include "stm32f10x.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_rcc.h"
#include "MyEP_STM32F103_GPIO.h"
#include "misc.h"

/*void Pin_Set(GPIO_TypeDef,uint16_t);
uint8_t Pin_Read(GPIO_TypeDef,uint16_t);*/

void Pin_Init(GPIO_TypeDef* GPIOx, uint16_t GPIO_Pin_x, GPIOMode_TypeDef GPIO_Mode_x, GPIOSpeed_TypeDef GPIO_Speed_x)
{
	GPIO_InitTypeDef PINs_Init;
	uint32_t temp;
	temp=(uint32_t)GPIOx;
	temp=(temp>>10)&0x0F;
	temp=1<<temp;
	RCC->APB2ENR |= temp;

	PINs_Init.GPIO_Pin = GPIO_Pin_x;
	PINs_Init.GPIO_Speed = GPIO_Speed_x;
	PINs_Init.GPIO_Mode = GPIO_Mode_x;
	GPIO_Init(GPIOx, &PINs_Init);
}


/*
void Pin_Set(GPIO_TypeDef GPIOx, uint16_t GPIO_Pin_x)
{
	GPIO_SetBits(GPIO_TypeDef* GPIOx, uint16_t GPIO_Pin);

	GPIO_InitTypeDef* PINs_Init;
	PINs_Init.
	GPIO_Init(GPIOD, PINs_Init);
}
uint8_t Pin_Read(GPIO_TypeDef GPIOx, uint16_t GPIO_Pin_x);
*/


