/*
 * MyEP_STM32F103_QEI.h
 *
 *  Created on: 20 nov. 2018
 *      Author: MyEP
 */

#ifndef MYEP_STM32F103_QEI_H_
#define MYEP_STM32F103_QEI_H_
#endif /* MYEP_STM32F103_QEI_H_ */
/* Mapeo de pines de QEI1 y QEI2 */
// -------------QEI1
#define QEI1_A_PIN               GPIO_Pin_15
#define QEI1_A_GPIO_PORT         GPIOA
#define QEI1_A_GPIO_CLK          RCC_APB2Periph_GPIOA
#define QEI1_A_SOURCE            GPIO_PinSource15
#define QEI1_A_AF                AFIO_MAPR_TIM2_REMAP_PARTIALREMAP1

#define QEI1_B_PIN               GPIO_Pin_3
#define QEI1_B_GPIO_PORT         GPIOB
#define QEI1_B_GPIO_CLK          RCC_APB2Periph_GPIOB
#define QEI1_B_SOURCE            GPIO_PinSource3
#define QEI1_B_AF                GPIO_AF_TIM2

#define QEI1_TIMER              TIM2
#define QEI1_TIMER_CLK          RCC_APB1Periph_TIM2

// -------------QEI2
#define QEI2_A_PIN               GPIO_Pin_6
#define QEI2_A_GPIO_PORT         GPIOB
#define QEI2_A_GPIO_CLK          RCC_APB2Periph_GPIOB
#define QEI2_A_SOURCE            GPIO_PinSource6
#define QEI2_A_AF                GPIO_AF_TIM4

#define QEI2_B_PIN               GPIO_Pin_7
#define QEI2_B_GPIO_PORT         GPIOB
#define QEI2_B_GPIO_CLK          RCC_APB2Periph_GPIOB
#define QEI2_B_SOURCE            GPIO_PinSource7
#define QEI2_B_AF                GPIO_AF_TIM4

#define QEI2_TIMER              TIM4
#define QEI2_TIMER_CLK          RCC_APB1Periph_TIM4



int32_t QEI_Read (uint8_t);
void QEI_Reset (uint8_t);
void QEI_Init(uint8_t);
